DECLARE 
	@id_funcionalidadPadre AS INT, 
	@uid AS VARCHAR(50)

IF NOT EXISTS (SELECT 1 FROM [gui_funcionalidad] WHERE nombreControl = 'inc_remitenteCorreo' AND id_tipoFuncionalidad = 1)
BEGIN
	SELECT @id_funcionalidadPadre = id  FROM [gui_funcionalidad] WHERE nombreControl = 'gen_envioCorreo' AND url = '/forms/gen/gen_envioCorreo.aspx' AND id_tipoFuncionalidad = 3
	SELECT TOP 1 @uid = uid FROM [gen_config] 

	EXEC [ins_gui_funcionalidad] @uid, '01', 1, 1, 'Remitente', '', '', '', '', '', '', 0, 'inc_remitenteCorreo', '', 2, @id_funcionalidadPadre, 1, 0
END